Subject: bug#9639: 24.0.90; Problem with bury-buffer in minibuffer-hide-completions

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Oct 2011 09:39:16 -0400

> With Emacs 23 help frames are deleted by default.

Could be.  Various packages do things differently.  But the
non-package-specific code is the one that interests me.

> So if I interpret you strictly, `quit-window' should iconify
> a dedicated frame and delete a non-dedicated one.  Is that correct?

No.  Either both are deleted or both are iconified, since (again) it is
mostly a choice that depends on the general window-manager usage and
user preference.

> Basically, it would be nice to get rid of either `bury-buffer' or
> `quit-window'.  Having two functions do approximately the same thing is
> neither reasonable for developers nor for users.

I think both are in fairly wide use, so getting rid of one of them is
not really an option.  But I hope we can define one in terms of
the other (or both in terms of a third internal one).

        Stefan